/* otherValidation */
.other-validtion-input {
  text-indent: 5px!important;
}
.other-validtion-input-date {
  text-indent: 1px!important;
}

.invalid-txt {
  display:block; 
  margin-top:6px; 
  color:#e54848; 
  font-size:12px; 
  line-height:1.4;
  /* 預留 error msg 空間 */
  min-height: 16px;
}

.other-validtion-input.is-invalid {
  border-color: #dc3545;
  background-color: #f8d7da;
}

.other-validtion-input.is-invalid:focus {
  background-color: #f0b1b1;
}

/* 送出按鈕 disabled */
.forgetPasswordcontent a.btn.disabled {
  pointer-events: none;
  background: #ccc; 
  color: #666;
  cursor: not-allowed;
}

/* input date placeholder */
ul.tablebar .inputSty input[type="date"] { 
  color: #000; 
}

/* 空值 */
ul.tablebar .inputSty input[type="date"]:required:invalid::-webkit-datetime-edit,
ul.tablebar .inputSty input[type="date"]:required:invalid::-webkit-datetime-edit-text,
ul.tablebar .inputSty input[type="date"]:required:invalid::-webkit-datetime-edit-year-field,
ul.tablebar .inputSty input[type="date"]:required:invalid::-webkit-datetime-edit-month-field,
ul.tablebar .inputSty input[type="date"]:required:invalid::-webkit-datetime-edit-day-field {
  color: #999;
}

/* 有值 */
ul.tablebar .inputSty input[type="date"]:valid::-webkit-datetime-edit,
ul.tablebar .inputSty input[type="date"]:valid::-webkit-datetime-edit-text,
ul.tablebar .inputSty input[type="date"]:valid::-webkit-datetime-edit-year-field,
ul.tablebar .inputSty input[type="date"]:valid::-webkit-datetime-edit-month-field,
ul.tablebar .inputSty input[type="date"]:valid::-webkit-datetime-edit-day-field {
  color: #000;
}

/* api 回傳錯誤訊息區塊 */
.api-invalid-txt {
  display: none;
  background-color: #fffcdf;
  padding: 10px 20px;
  border-radius: 5px;
  color: #e54848;
  text-align: center;
  margin-bottom: 5px;
}
.api-invalid-txt a {
  color: rgb(37 169 234);
  text-decoration: none;
}
.api-invalid-txt.show {
  display: block;
}
